Subject: bug#21700: new snapshot available: grep-2.21.78-7da30

From: Aaron Davies <[email-masked]>
Date: Sun, 18 Oct 2015 10:51:19 -0400

I ran into this trying to build current coreutils on Solaris with sun studio 11

the workaround I found was to use sun studio 12

Sent from my iPhone

> On Oct 18, 2015, at 2:34 AM, Paul Eggert <[email-masked]> wrote:
> 
> I ran into a problem with this release on Solaris 10 with Sun C 5.13:
> 
>  CC       fts.o
> "fts.c", line 1915: warning: type of struct member "__b" can not be derived fro\
> m structure with flexible array member
> "fts.c", line 1915: warning: type of struct member "__b" can not be derived fro\
> m structure with flexible array member
> 
> This is due to the use of Gnulib alignof to calculate the alignment of a struct with a flexible array member; the Gnulib implementation doesn't support this on C99 (it violates a C99 constraint).  I'll look into a workaround within fts.
> 
> I did manage a build on AIX with xlc; works OK.
> 
> 
>